import BaseSingleton from "@/Engine/Utils/Singleton/BaseSingleton";

export class MainControl extends BaseSingleton<MainControl>() {
	/** 每次啟動APP */
	public IsFirstEnteringLobby: boolean = true;
	// /** 登入成功判斷 */
	// public IsLogin: boolean = false;
	// /** 選桌頁內的機台號碼 */
	// public TableID: number = 0;
	/** 最後遊玩的一個廠商 */
	public LastPlayComponyID: number = 0;
	/** 最後遊玩的一個遊戲 */
	public LastPlayGameID: number = 0;
	// /** 主動斷線=字串.被動斷線=null(因為SERVER有時候會先主動斷線所以有的要預先設定字串)*/
	// public IsLogoutStr: string = null;
	public IsInGame: boolean = false;
	/** 現在時間 */
	public get NowTime(): number { return Date.now(); }
}

export module MainControl {
	export enum DataType {
		ServerData,
		ChangeDire,
		NetDisconnected,
	}
}

export default MainControl;